////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////
#pragma once

#ifdef _WIN32
#define stricmp		stricmp 
#define strnicmp	strnicmp 
#define _snprintf   _snprintf
#else
#define stricmp		strcasecmp 
#define strnicmp	strncasecmp 
#define _snprintf   snprintf
#endif


int GetStrLength(int nNumber);
int GetStrLength(const char* pStr);
bool StartsWith(const char* s1, const char* s2);

#ifdef _WIN32
char* strndup(const char *s, unsigned int n);
#endif

char* stristr(const char* String, const char* Pattern);
