////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

#define T_EOF 0
#define T_BEGIN_TAG 1
#define T_END_TAG 2
#define T_TAG_NAME 3
#define T_TAG_PARAMETER 4
#define T_TAG_PARAMETER_VALUE 5
#define T_TAG_ADDITIONS 6
#define T_CLOSE_TAG 7
#define T_END_TAG_XML 8
#define T_ERROR 9
#define T_NOTHING 10
#define T_COMMENT 11
#define T_QUOT 12
#define T_DOUBLEQUOT 13
#define T_NOACTION 14
#define T_NOMEMORY 15
#define T_BEGIN_COMMENT 16
#define T_END_COMMENT 17
#define T_TAG_PARAMETER_VALUE_EMPTY 19
#define T_TEXT 20
#define T_SCRIPT 21
#define T_STYLE_END 22
#define T_IN_STYLE 23
#define T_STYLE_URL 24
#define T_META_REFRESH_URL 25
#define T_NOSCRIPT 26
#define T_NOSCRIPT_END 27
#define T_OBJECT 28
