////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

class wxPrefDlg : public wxPanel
{
	wxCheckBox* m_ShowImages;
	wxCheckBox* m_StartOnStartUp;
	wxCheckBox* m_CheckForUpdatesOnStartUp;

public:
	wxPrefDlg();
	wxPrefDlg(wxWindow* parent);
	~wxPrefDlg();

	bool Create(wxWindow* parent);
	void CreateControls();

public:
	void LoadSettings();
	bool SaveSettings();

protected:
	void OnCheckForUpdates(wxCommandEvent&);

	DECLARE_DYNAMIC_CLASS(wxPrefDlg)
	DECLARE_EVENT_TABLE()
};

