////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

class wxPsiphonDlg;

class CPsiphonTaskBarIcon : public wxTaskBarIcon
{
	wxPsiphonDlg* m_pParent;

public:
	CPsiphonTaskBarIcon(wxPsiphonDlg* _pParent);

	virtual wxMenu*	CreatePopupMenu();

	void OnStartServer(wxCommandEvent&);
	void OnStopServer(wxCommandEvent&);
	void OnSetup(wxCommandEvent&);
	void OnExit(wxCommandEvent&);
	void OnLeftButtonDClick(wxTaskBarIconEvent&);

	DECLARE_EVENT_TABLE()
};
