////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "wchar.h"

class CConverter
{
	wchar_t* m_pW;
	char* m_pA;

public:
	CConverter(const char* pA);
	CConverter(const wchar_t* pW);
	~CConverter();

public:
	void Escape();

	operator const char*();
	operator const wchar_t*();

protected:
	void Init();

	const wchar_t*	GetW();
	const char*		GetA();

	void escapeA(char*& pA);
	void escapeW(wchar_t*& pW);
};
