////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

class wxPsiphonDlg;
class wxPsiphonApp : public wxApp
{
	wxLocale m_locale;

public:
	wxPsiphonApp();
	~wxPsiphonApp();

public:
	void Restart();

	virtual bool OnInit();
	virtual int	OnExit();

	void SelectLanguage(int nLang);

protected:
	void ChooseLanguage();
	void ShowSplash(wxPsiphonDlg* parent);
};

DECLARE_APP(wxPsiphonApp)
