////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

class wxPsiphonLog : public MprLogListener
{
public:
	int	m_loglevel;

public:
	wxPsiphonLog(int _loglevel)
	{
		m_loglevel = _loglevel;
	}
	virtual void	logEvent(char* module, int flags, int level, char* thread, char* msg);

	static void		postLogMessage(const char* msg);
	static void		postServerCrashedMessage();
};

DECLARE_EVENT_TYPE(wxEVT_LOG, -1)
DECLARE_EVENT_TYPE(wxEVT_SERVER_CRASHED, -1)

