////////////////////////////////////////////////////////////////////////////////
//	Copyright (c) CitizenLab, 2006. All Rights Reserved.
//	The latest version of this code is available at http://psiphon.civisec.org/
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://psiphon.civisec.org/
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs.
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "User.h"

class wxUserDetailsDlg : public wxDialog
{
	CDBUser* 	m_pUser;

	wxTextCtrl* m_Username;
	wxTextCtrl* m_Password;
	wxTextCtrl* m_ConfirmPassword;
	wxTextCtrl* m_Email;
	wxTextCtrl* m_Fullname;

public:
	wxUserDetailsDlg();
	wxUserDetailsDlg(CDBUser* _pUser, wxWindow* parent);

	bool Create(wxWindow* parent);
	void CreateControls();

protected:
	void OnInitDialog(wxInitDialogEvent& event);
	void OnOK(wxCommandEvent& event);

	DECLARE_DYNAMIC_CLASS(wxUserDetailsDlg)
	DECLARE_EVENT_TABLE()
};
